Page MenuHomePhabricator

Determine which fields will be indexed for image files
Closed, ResolvedPublic

Description

This task is to determine the list of fields to be indexed for an image file, i.e. page in NS_FILE namespace.

Proposed fields:

media_typekeywordfile type
mimekeywordfile mime type
sizeintfile size
widthintImage width
heightintImage height
resolutionintfloor(sqrt(width*height))
bitsintimage bit depth

Event Timeline

Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptSep 13 2016, 6:55 PM

Proposed fields:

media_typekeywordfile type
mimekeywordfile mime type
sizeintfile size
widthintImage width
heightintImage height
resolutionfloatsqrt(width*height)
bitsintimage bit depth
descriptiontextimage description

Looks like description is the same as page text so we don't really need to duplicate it.

Smalyshev updated the task description. (Show Details)Sep 15 2016, 8:28 PM
Smalyshev updated the task description. (Show Details)
Smalyshev closed this task as Resolved.Sep 28 2016, 5:20 AM
Smalyshev claimed this task.